Bug 427364 - Installation of aspell-fr does not update Evolution's language list
Installation of aspell-fr does not update Evolution's language list
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: gnome-spell (Show other bugs)
8
x86_64 Linux
low Severity low
: ---
: ---
Assigned To: Matthew Barnes
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-01-03 10:06 EST by Marcel Ziswiler
Modified: 2008-10-22 15:46 EDT (History)
2 users (show)

See Also:
Fixed In Version: evolution-2.24.1-1.fc10
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-10-22 15:46:47 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Marcel Ziswiler 2008-01-03 10:06:04 EST
Description of problem:
Installation of aspell-fr does not update Evolution's language list.

Version-Release number of selected component (if applicable):
aspell-fr-0.50-11.fc7

How reproducible:
Install aspell and restart Evolution. Unfortunately French is still not an
available language for spell checking.

Steps to Reproduce:
1. yum install aspell-fr
2. evolution
3. Edit - Preferences - Composer Preferences - Spell Checking
  
Actual results:
Notice any mentioning of French is still completely missing.

Expected results:
French should now be listed.

Additional info:

Workaround:
Uninstalling aspell-de and reinstalling it again suddenly made French appear in
the list of available languages in Evolution. Seems like the German aspell
package has some list refreshing capability the French one is missing.
Comment 1 Ivana Varekova 2008-01-07 05:06:08 EST
I try to reproduce this bug but when I install aspell-fr the language appears on
the spell checker list in evolution - but after I remove it and install it again
it does not appear - but when I call evolution with another "new" user which
have never used evolution -  the French spell checkers were there. 
So this is evolution bug - so I'm reassigning it to evolution component. 
Comment 2 Matthew Barnes 2008-01-07 08:38:38 EST
Evolution (GtkHTML, actually) just asks GnomeSpell for a list of languages.

Note that for Fedora 9, however, we've enabled Enchant-support in GnomeSpell and
our Enchant packages prefer the hunspell dictionaries [1].  So this bug may no
longer be relevant in Fedora 9.

[1] http://fedoraproject.org/wiki/Releases/FeatureDictionary
Comment 3 Matthew Barnes 2008-10-22 15:46:47 EDT
This is fixed in Evolution 2.24:

   1. Edit -> Preferences -> Composer Preferences -> Spell Checking
   2. Verify French is not in the list of spell checking languages.
   3. yum install hunspell-fr  (Fedora no longer uses aspell.)
   4. Restart Evolution.
   5. Edit -> Preferences -> Composer Preferences -> Spell Checking
   6. Verify French IS in the list of spell checking languages.

Closing as CURRENTRELEASE.

Note You need to log in before you can comment on or make changes to this bug.